| PDM-IR SDK 3.0.12 PDM-IR_SDK

- Main Page
- Modules
- Data Structures
- Files

Functions
Set methods

## Functions
DllSDKExport RESULT | PDMIR_SetAmplitude (UINT16 serialNumber, UINT16 AmplimV)
DllSDKExport RESULT | PDMIR_SetTemperature (UINT16 serialNumber, TEMP_VALUES temp)
DllSDKExport RESULT | PDMIR_SetHoldOff (UINT16 serialNumber, UINT32 holdOff, HOLDOFFTYPE type)
DllSDKExport RESULT | PDMIR_SetGateMode (UINT16 serialNumber, GATEMODE gm)
DllSDKExport RESULT | PDMIR_SetGateShape (UINT16 serialNumber, GATESHAPE gs)
DllSDKExport RESULT | PDMIR_SetTriggerInEdge (UINT16 serialNumber, TREDGE TriggerInEdge)
DllSDKExport RESULT | PDMIR_SetTriggerInTh (UINT16 serialNumber, INT16 TriggerTh)
DllSDKExport RESULT | PDMIR_SetAuxInEdge (UINT16 serialNumber, TREDGE TriggerEdge)
DllSDKExport RESULT | PDMIR_SetAuxInTh (UINT16 serialNumber, INT16 TriggerTh)
DllSDKExport RESULT | PDMIR_SetTriggerFunction (UINT16 serialNumber, TRFUNCT TriggerFunction)
DllSDKExport RESULT | PDMIR_SetFrequency (UINT16 serialNumber, UINT32 frequency)
DllSDKExport RESULT | PDMIR_SetTon (UINT16 serialNumber, UINT32 tOn)
DllSDKExport RESULT | PDMIR_SetTTLOut (UINT16 serialNumber, OUTMODE TTLOut)
DllSDKExport RESULT | PDMIR_SetNIMOut (UINT16 serialNumber, OUTMODE NIMOut)
DllSDKExport RESULT | PDMIR_SetDelayTriggerIn (UINT16 serialNumber, UINT8 delay)
DllSDKExport RESULT | PDMIR_SetDelayTriggerInternal (UINT16 serialNumber, UINT8 delay)
DllSDKExport RESULT | PDMIR_SetDelayAuxIn (UINT16 serialNumber, UINT8 delay)
DllSDKExport RESULT | PDMIR_SetDelayGate (UINT16 serialNumber, UINT8 delay)
DllSDKExport RESULT | PDMIR_SetDelayNIMOut (UINT16 serialNumber, UINT8 delay)
DllSDKExport RESULT | PDMIR_SetDelayTTLOut (UINT16 serialNumber, UINT8 delay)
DllSDKExport RESULT | PDMIR_SetCounterIntegrationTime (UINT16 serialNumber, UINT16 integrationTime)
DllSDKExport RESULT | PDMIR_SetCounterAvalancheEnable (UINT16 serialNumber, COUNTERSTATUS Cstatus)
DllSDKExport RESULT | PDMIR_SetCounterValidGateEnable (UINT16 serialNumber, COUNTERSTATUS Cstatus)
DllSDKExport RESULT | PDMIR_SetCounterAuxInEnable (UINT16 serialNumber, COUNTERSTATUS Cstatus)
DllSDKExport RESULT | PDMIR_SetCounterTriggerInEnable (UINT16 serialNumber, COUNTERSTATUS Cstatus)
DllSDKExport RESULT | PDMIR_SetCounterInternalTriggerEnable (UINT16 serialNumber, COUNTERSTATUS Cstatus)
DllSDKExport RESULT | PDMIR_SetModuleOnOff (UINT16 serialNumber, STATUSBITS Mstatus)

## Detailed Description

Functions to set parameters of the PDM-IR.

## Function Documentation

DllSDKExport RESULT PDMIR_SetAmplitude | ( | UINT16 | serialNumber,
|  | UINT16 | AmplimV
| ) |  |

Set the gate amplitude of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  AmplimV | Desired Amplitude in mV. Allowed range: 2000 mV to 7000 mV in fixed gate mode,2000 mV to 5000 mV in free gate mode and free running, at 100 mV steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetGateShape()
  PDMIR_GetAmplitude()

DllSDKExport RESULT PDMIR_SetTemperature | ( | UINT16 | serialNumber,
|  | TEMP_VALUES | temp
| ) |  |

Set the working temperature of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  temp | Desired Temperature as TEMP_VALUES.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetTemperature()

DllSDKExport RESULT PDMIR_SetHoldOff | ( | UINT16 | serialNumber,
|  | UINT32 | holdOff,
|  | HOLDOFFTYPE | type
| ) |  |

Set the hold off time of the SPAD.

Parameters

  serialNumber | PDM-IR serial number
  holdOff | Desired hold off time in ns. Allowed range: 1000 ns to 3000000 ns, in 100 ns steps.
  type | Select edge or level hold off type.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetHoldOff()

DllSDKExport RESULT PDMIR_SetGateMode | ( | UINT16 | serialNumber,
|  | GATEMODE | gm
| ) |  |

Set the gate mode of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  gm | Desired gate mode as GATEMODE typedef. It can select internal trigger or trigger in.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.
  RESULT_DATA_ERROR The type is not HOLDOFFTYPE.

See also
  PDMIR_GetGateMode()

DllSDKExport RESULT PDMIR_SetGateShape | ( | UINT16 | serialNumber,
|  | GATESHAPE | gs
| ) |  |

Set the gate shape of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  gs | Desired gate shape as GATESHAPE typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetGateShape()

DllSDKExport RESULT PDMIR_SetTriggerInEdge | ( | UINT16 | serialNumber,
|  | TREDGE | TriggerInEdge
| ) |  |

Set the Trigger In Edge of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  TriggerInEdge | trigger In edge as TREDGE typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetTriggerInEdge()

DllSDKExport RESULT PDMIR_SetTriggerInTh | ( | UINT16 | serialNumber,
|  | INT16 | TriggerTh
| ) |  |

Set the Trigger In Threshold of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  TriggerTh | trigger In Threshold in mV. Allowed range: -2000 mV to 2000 mV, in 10 mV steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_SetTriggerInTh()

DllSDKExport RESULT PDMIR_SetAuxInEdge | ( | UINT16 | serialNumber,
|  | TREDGE | TriggerEdge
| ) |  |

Set the Aux In Edge of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  TriggerEdge | trigger In edge as TREDGE typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetAuxInEdge()

DllSDKExport RESULT PDMIR_SetAuxInTh | ( | UINT16 | serialNumber,
|  | INT16 | TriggerTh
| ) |  |

Set the Aux In Threshold of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  TriggerTh | Aux In Threshold in mV.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR. Allowed range: -2000 mV to 2000 mV, at 10 mV steps.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetAuxInTh()

DllSDKExport RESULT PDMIR_SetTriggerFunction | ( | UINT16 | serialNumber,
|  | TRFUNCT | TriggerFunction
| ) |  |

Set the Function between Aux In and trigger (in or internal) of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  TriggerFunction | trigger function as TREDGE typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetTriggerFunction()

DllSDKExport RESULT PDMIR_SetFrequency | ( | UINT16 | serialNumber,
|  | UINT32 | frequency
| ) |  |

Set the internal trigger frequency in Hz of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  frequency | Internal trigger frequency in Hz. Allowed range: 100 Hz to 100000000 Hz (100 MHz), at 100 Hz steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetFrequency()

DllSDKExport RESULT PDMIR_SetTon | ( | UINT16 | serialNumber,
|  | UINT32 | tOn
| ) |  |

Set the Ton time in ns of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  tOn | gate window time in ns. Allowed range: 1 ns to 10000000 ns, at 1 ns steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetTon()

DllSDKExport RESULT PDMIR_SetTTLOut | ( | UINT16 | serialNumber,
|  | OUTMODE | TTLOut
| ) |  |

Set the TTL ouput signal of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  TTLOut | output signal as OUTMODE typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetTTLOut()

DllSDKExport RESULT PDMIR_SetNIMOut | ( | UINT16 | serialNumber,
|  | OUTMODE | NIMOut
| ) |  |

Set the NIM ouput signal of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  NIMOut | output signal as OUTMODE typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetNIMOut()

DllSDKExport RESULT PDMIR_SetDelayTriggerIn | ( | UINT16 | serialNumber,
|  | UINT8 | delay
| ) |  |

Set the Trigger In delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Delay value in ns. Allowed range: 1 ns to 100 ns, at 1 ns steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetDelayTriggerIn()

DllSDKExport RESULT PDMIR_SetDelayTriggerInternal | ( | UINT16 | serialNumber,
|  | UINT8 | delay
| ) |  |

Set the Internal Trigger delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Delay value in ns. Allowed range: 1 ns to 100 ns, at 1 ns steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetDelayTriggerInternal()

DllSDKExport RESULT PDMIR_SetDelayAuxIn | ( | UINT16 | serialNumber,
|  | UINT8 | delay
| ) |  |

Set the Aux In delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Delay value in ns. Allowed range: 1 ns to 100 ns, at 1 ns steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetDelayAuxIn()

DllSDKExport RESULT PDMIR_SetDelayGate | ( | UINT16 | serialNumber,
|  | UINT8 | delay
| ) |  |

Set the Gate delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Delay value in ns. Allowed range: 1 ns to 100 ns, at 1 ns steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetDelayGate()

DllSDKExport RESULT PDMIR_SetDelayNIMOut | ( | UINT16 | serialNumber,
|  | UINT8 | delay
| ) |  |

Set the NIM out delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Delay value in ns. Allowed range: 1 ns to 100 ns, at 1 ns steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetDelayNIMOut()

DllSDKExport RESULT PDMIR_SetDelayTTLOut | ( | UINT16 | serialNumber,
|  | UINT8 | delay
| ) |  |

Set the TTL out delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Delay value in ns. Allowed range: 1 ns to 100 ns, at 1 ns steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetDelayTTLOut()

DllSDKExport RESULT PDMIR_SetCounterIntegrationTime | ( | UINT16 | serialNumber,
|  | UINT16 | integrationTime
| ) |  |

Set the counters integration time of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  integrationTime | Integration time in ms. Allowed range: 100 ms to 60000 ms, at 20 ms steps.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetCounterIntegrationTime()

DllSDKExport RESULT PDMIR_SetCounterAvalancheEnable | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS | Cstatus
| ) |  |

Set the photon out counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  Cstatus | counter status as COUNTERSTATUS typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetCounterAvalancheStatus()

DllSDKExport RESULT PDMIR_SetCounterValidGateEnable | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS | Cstatus
| ) |  |

Set the valid gate counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  Cstatus | counter status as COUNTERSTATUS typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetCounterValidGateStatus()

DllSDKExport RESULT PDMIR_SetCounterAuxInEnable | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS | Cstatus
| ) |  |

Set the Aux In counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  Cstatus | counter status as COUNTERSTATUS typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetCounterAuxInStatus()

DllSDKExport RESULT PDMIR_SetCounterTriggerInEnable | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS | Cstatus
| ) |  |

Set the trigger In counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  Cstatus | counter status as COUNTERSTATUS typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetCounterTriggerInStatus()

DllSDKExport RESULT PDMIR_SetCounterInternalTriggerEnable | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS | Cstatus
| ) |  |

Set the internal trigger counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  Cstatus | counter status as COUNTERSTATUS typedef.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.

See also
  PDMIR_GetCounterInternalTriggerStatus()

DllSDKExport RESULT PDMIR_SetModuleOnOff | ( | UINT16 | serialNumber,
|  | STATUSBITS | Mstatus
| ) |  |

Set the module status of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  Mstatus | counter status as STATUSBITS typedef. Allowed values: STATUSBITS_OFF, STATUSBITS_ON

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The value set is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The value set is lower than min value.